### Constructor

# Cogl Offscreen new_from_formats

#### Declaration [src]

    CoglOffscreen*
    cogl_offscreen_new_from_formats (
      CoglContext* context,
      CoglPixelFormat* formats,
      size_t n_formats,
      int width,
      int height,
      GError** error
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the function.

`formats`

  Type: `CoglPixelFormat`

  No description available.

  The data is owned by the caller of the function.

`n_formats`

  Type: `size_t`

  No description available.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglOffscreen`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.